ActionController::Routing::Routes.draw do |map|
  map.logout '/logout', :controller => 'sessions', :action => 'destroy'
  map.login '/login', :controller => 'sessions', :action => 'new'
  map.signup '/signup', :controller => 'users', :action => 'new'

  map.resources :users
  map.resource :session

  map.root :controller => 'home', :action => 'index'
  map.resources :home
  map.resources :articles
  map.admin '/admin', :controller => 'admin'
  
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
end
